# readline-js

[![npm](https://img.shields.io/npm/v/readline-js.svg)](https://www.npmjs.com/package/readline-js)
![npm](https://img.shields.io/npm/dw/readline-js.svg)
![GitHub issues](https://img.shields.io/github/issues/devaman/readline-js.svg)
![GitHub pull requests](https://img.shields.io/github/issues-pr/devaman/readline-js.svg)
[![HitCount](http://hits.dwyl.io/devaman/readline-js.svg)](http://hits.dwyl.io/devaman/readline-js)

## Adding Readline

```html
<script src="https://unpkg.com/readline-js/lib/readline-js.js"></script>
or Minified version
<script src="https://unpkg.com/readline-js/lib/readline-js.min.js"></script>
or 
npm i readline-js
```
## Initializing ReadLine

```html
 <script>
    //  Create it
let readline = new ReadLine({
    id:"target",
    showPercentage:true,
    height: "4px",
    color: "#00b8e6",
    zIndex:"50"
});
// Destroy it
readline.destroy()
</script>
 ```
 With Reactjs
 ```js
    import Readline from 'readline-js';
   useEffect(() => {
   
      let readline = new Readline({
        height: "3px",
        color: "red"
      })
      return ()=>{
        readline.destroy();
      }
  })
 ```

 ## Props

__target(optional):__  id of the targeted content / Default whole body

__showPercentage(optional):__  show percentage of content covered. (slow in mobile)

__height(optional):__  height of line / Default 6px

__color(optional):__  color of line (rgb/rbga) / Default blue

__zIndex(optional):__ sets the z-index for the readline. / Default 100


# ChangeLog 7/Jan/2020
-   Tar ball size reduced
-   zIndex Customization added

# ChangeLog 14/June/2020

- Added Destroy support.
- Can be used with Client Side Frameworks (React js etc).